### GET /v2/guest-links/{id} Source: https://apis.alfaview.com/v2/docs/openapi.json Gets a single guest link. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **id** (string, path, required): The guest link ID. ### Responses #### 200 - The request was processed successfully. **GuestLink** - **accessKey** (string) (required): The access key. - **createdAt** (string (date-time)) (required): The creation timestamp. - **createdBy** (string) (required): The creator user ID. - **dialInAllowed** (boolean) (required): If true, the guest link is allowed to be used via dial-in. - **dialInCode** (string) (required): The dial-in authentication code. - **displayName** (string): The name of the participant using the guest link that is displayed in UIs. - **emailAddress** (string (email)) (required): The email address associated with the guest link. - **id** (string) (required): The guest link ID. - **joinUrl** (string) (required): The URL to a page of the alfaview web application that allows the guest to join the room. - **locale** (string) (required): The locale settings (e.g., UI language). - **origin** (string) (required): String that specifies the creator or reason for the creation of the guest link (e.g., 'my external tool' or 'initial meeting delayed'). - **permissionGroupId** (string) (required): The permission group ID. - **roomId** (string) (required): The room ID. - **validFrom** (string (date-time)): The guest link is valid from this point in time. - **validUntil** (string (date-time)): The guest link is valid until this point in time. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 404 - Guest was not found. Guest was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/guest-links/{id}" ``` ``` -------------------------------- ### GET /v2/guest-links Source: https://apis.alfaview.com/v2/docs/openapi.json Lists guest links. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **pageToken** (string, query, optional): For pagination: Pass the nextPageToken from the last successful request to obtain the next page. Omit on first request. - **limit** (integer (int32), query, optional): For pagination: Limit the number of returned guest links. ### Responses #### 200 - The request was processed successfully. **PaginatedBodyListGuestLink** - **data** (array,null) (required): The actual data for a paginated request. - **nextPageToken** (string): A token that can be used to obtain the next page of the requested data. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/guest-links?pageToken=string&limit=100" ``` ``` -------------------------------- ### GET /v2/rooms/{roomId}/language-settings Source: https://apis.alfaview.com/v2/docs/openapi.json Gets the language settings of a room. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID. ### Responses #### 200 - The request was processed successfully. **LanguageSettings** - **defaultSpokenLanguage** (string): The default spoken language. - **targetTranscriptionLanguages** (array,null): The languages that the translation feature is translating the spoken words to. The translation into all of these languages is happening permanently as long as the feature is enabled, even if no participant has selected that language. To get the available transcription languages, refer to the 'List Available Languages' endpoint. - **transcriptionEnabled** (boolean) (required): If true, the transcription feature is enabled in this room. - **transcriptionType** (string (simple_transcription|digital_interpreter)) (required): The type of transcription as selectable for room administrators in the client. ("simple_transcription"|"digital_interpreter") #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 404 - Room was not found. Room was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{roomId}/language-settings" ``` ``` -------------------------------- ### GET /v2/rooms Source: https://apis.alfaview.com/v2/docs/openapi.json Lists rooms. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomTypes** (array,null, query, optional): Filters the result by room type. - 'room' is used for normal rooms. - 'departments' are unjoinable rooms that can hold multiple child rooms to help improving room structuring. - 'meeting' marks temporary meeting rooms. - **pageToken** (string, query, optional): For pagination: Pass the nextPageToken from the last successful request to obtain the next page. Omit on first request. - **limit** (integer (int32), query, optional): For pagination: Set a limit on the number of returned rooms. ### Responses #### 200 - The request was processed successfully. **PaginatedBodyListRoom** - **data** (array,null) (required): The actual data for a paginated request. - **nextPageToken** (string): A token that can be used to obtain the next page of the requested data. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms?roomTypes=value&pageToken=string&limit=50" ``` ``` -------------------------------- ### GET /v2/rooms/{id} Source: https://apis.alfaview.com/v2/docs/openapi.json Gets a single room. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **id** (string, path, required): The room ID. ### Responses #### 200 - The request was processed successfully. **Room** - **createdAt** (string (date-time)) (required): The creation timestamp. - **createdBy** (string) (required): The creator user ID. - **defaultPermissions** (object) - **admin** (boolean) (required): If true, the associated user is an admin. - **chat** (boolean) (required): Permission to chat. - **join** (boolean) (required): Permission to join the room. - **promote** (boolean) (required): Permission to promote permissions for other users. - **screen** (boolean) (required): Permission to share the screen. - **upload** (boolean) (required): Permission to upload files. - **video** (boolean) (required): Permission to stream video input. - **vip** (boolean) (required): Permission to mark users as VIP. - **voice** (boolean) (required): Permission to speak. - **displayName** (string) (required): The name of the room that is displayed in UIs. - **features** (object) (required) - **allowCopyRoomInfo** (string (enabled|disabled|default)) (required): Allows moderators to copy the contents of the participant list to the clipboard. ("enabled"|"disabled"|"default") - **blockWebclient** (string (enabled|disabled|default)) (required): Prevents the button to join via browser from being displayed on the guest join page. ("enabled"|"disabled"|"default") - **centeredVideoGrid** (string (enabled|disabled|default)) (required): Centers participant videos on the stage. ("enabled"|"disabled"|"default") - **disableCameraOff** (string (enabled|disabled|default)) (required): Prevents the camera from being turned off. ("enabled"|"disabled"|"default") - **disableJoinAndLeaveNotifications** (string (enabled|disabled|default)) (required): Disables notifications when users join or leave the room. ("enabled"|"disabled"|"default") - **disableMiniWindow** (string (enabled|disabled|default)) (required): Prevents the display of the floating mini window when the alfaview window is minimized. ("enabled"|"disabled"|"default") - **raiseHands** (string (enabled|disabled|default)) (required): Allows participants and spectators to raise their hand to indicate that they want to say something. ("enabled"|"disabled"|"default") - **shareContentOnlyToModerators** (string (enabled|disabled|default)) (required): If enabled, only moderators can see active screen shares. ("enabled"|"disabled"|"default") - **showRaisedHandsOnlyToModerators** (string (enabled|disabled|default)) (required): If enabled, only moderators can see who is currently raising a hand. ("enabled"|"disabled"|"default") - **sixteenByNineVideos** (string (enabled|disabled|default)) (required): Uses 16:9 video aspect ratio for participant videos. ("enabled"|"disabled"|"default") - **sortVideoGridAlphabetically** (string (enabled|disabled|default)) (required): Displays participant videos in alphabetical order. (Overrides the default order-by-join-time behavior.) ("enabled"|"disabled"|"default") - **groupLinkPermissions** (array,null): The permissions of group links for this room. - **guestLinkPermissions** (array,null): The guest links permissions for this room. - **id** (string) (required): The room ID. - **managed** (boolean) (required): If true, the room cannot be edited or removed by a user. - **parentId** (string): The parent room ID. - **passcodeRequired** (boolean,null): If true, a passcode is required to enter the room. - **quotas** (object) - **activeParticipants** (integer (int32)) (required): The number of allowed active participants. - **maxVideoTilesPerPage** (integer (int32)) (required): The number of allowed video tiles displayed per page. If this value mismatches the defined options in the alfaview client, the next lower value will be chosen. - **spectatorOnlyParticipants** (integer (int32)) (required): The number of allowed spectator-only participants. - **sort** (integer (int64)) (required): A sorting number that determines the position of the room in UI room lists. - **subrooms** (array,null): The contained subrooms. - **type** (string (department|room|meeting)) (required): The room type. 'room' is used for normal rooms. Departments are unjoinable rooms that can hold multiple child rooms to help improving room structuring. ("department"|"room"|"meeting") - **userPermissions** (array,null): The user permissions. - **waitingRoomEnabled** (boolean) (required): If true, participants will enter the waiting room when joining the room. A moderator can admit waiting participants to join the actual room. Rooms of the type 'department' cannot have a waiting room. - **waitingRoomWelcomeNote** (string): The welcome note that is shown to the participants as they join the waiting room. Rooms of the type 'department' cannot have a waiting room. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 404 - Room was not found. Room was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{id}" ``` ``` -------------------------------- ### GET /v2/room-types Source: https://apis.alfaview.com/v2/docs/openapi.json Lists room types. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). ### Responses #### 200 - The request was processed successfully. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/room-types" ``` ``` -------------------------------- ### GET /v2/rooms/{roomId}/guest-links Source: https://apis.alfaview.com/v2/docs/openapi.json Lists guest links for a room. Returns an empty array if the room does not exist. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID. - **pageToken** (string, query, optional): For pagination: Pass the nextPageToken from the last successful request to obtain the next page. Omit on first request. - **limit** (integer (int32), query, optional): For pagination: Limit the number of returned guest links. ### Responses #### 200 - The request was processed successfully. **PaginatedBodyListGuestLink** - **data** (array,null) (required): The actual data for a paginated request. - **nextPageToken** (string): A token that can be used to obtain the next page of the requested data. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{roomId}/guest-links?pageToken=string&limit=100" ``` ``` -------------------------------- ### GET /v2/users Source: https://apis.alfaview.com/v2/docs/openapi.json Lists all users in the company. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **emailAddress** (string (email), query, optional): The email address. ### Responses #### 200 - The request was processed successfully. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/users?emailAddress=user@example.com" ``` ``` -------------------------------- ### GET /v2/rooms/{roomId}/permissions Source: https://apis.alfaview.com/v2/docs/openapi.json Lists permissions applied in a room. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID. ### Responses #### 200 - The request was processed successfully. **RoomPermissions** - **groupLinkPermissions** (array,null): The permissions of group links for this room. - **guestLinkPermissions** (array,null): The permissions of guest links for this room. - **userPermissions** (array,null): The permissions of users for this room. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 404 - Room was not found. Room was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{roomId}/permissions" ``` ``` -------------------------------- ### GET /v2/group-links Source: https://apis.alfaview.com/v2/docs/openapi.json Lists group links. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **pageToken** (string, query, optional): For pagination: Pass the nextPageToken from the last successful request to obtain the next page. Omit on first request. - **limit** (integer (int32), query, optional): For pagination: Limit the number of returned group links. ### Responses #### 200 - The request was processed successfully. **PaginatedBodyListGroupLink** - **data** (array,null) (required): The actual data for a paginated request. - **nextPageToken** (string): A token that can be used to obtain the next page of the requested data. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/group-links?pageToken=string&limit=100" ``` ``` -------------------------------- ### GET /v2/rooms/{roomId}/subrooms Source: https://apis.alfaview.com/v2/docs/openapi.json Lists subrooms. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID of the subrooms. ### Responses #### 200 - The request was processed successfully. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 404 - Room was not found. Room was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{roomId}/subrooms" ``` ``` -------------------------------- ### GET /v2/auth/token-info Source: https://apis.alfaview.com/v2/docs/openapi.json Retrieves details about the access token provided in the Authorization header. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). ### Responses #### 200 - The request was processed successfully. **TokenInfo** - **active** (boolean) (required): Denotes whether the token is still valid. - **expiresAt** (string (date-time)) (required): Time at which the token expires. - **permissions** (object) (required) - **manageCompany** (boolean) (required): If true, the user can manage company settings. - **roomAdmin** (boolean) (required): If true, the user can create, update and delete any room. - **roomCreate** (boolean) (required): If true, the user can create rooms for their company. - **roomList** (boolean) (required): If true, the user can list all rooms in their company. - **userAdmin** (boolean) (required): If true, the user can create, update and delete other users, send password reset mails and resend sign-up mails for new users. - **userList** (boolean) (required): If true, the user can list all users in their company. - **userShow** (boolean) (required): If true, the user can see the user names of all users in rooms they can access. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/auth/token-info" ``` ``` -------------------------------- ### GET /v2/languages Source: https://apis.alfaview.com/v2/docs/openapi.json Lists the languages available for transcription and translation. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). ### Responses #### 200 - The request was processed successfully. **Languages** - **transcription** (array,null): The available transcription languages. - **translation** (array,null): The available language pairings for translation. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/languages" ``` ``` -------------------------------- ### GET /v2/rooms/{id}/participants Source: https://apis.alfaview.com/v2/docs/openapi.json Lists data about the participants who are currently in a room. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **id** (string, path, required): The room ID. ### Responses #### 200 - The request was processed successfully. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 404 - Room was not found. Room was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{id}/participants" ``` ``` -------------------------------- ### GET /v2/rooms/{roomId}/group-links Source: https://apis.alfaview.com/v2/docs/openapi.json Lists group links for a room. Returns an empty array if the room does not exist. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID. - **pageToken** (string, query, optional): For pagination: Pass the nextPageToken from the last successful request to obtain the next page. Omit on first request. - **limit** (integer (int32), query, optional): For pagination: Limit the number of returned group links. ### Responses #### 200 - The request was processed successfully. **PaginatedBodyListGroupLink** - **data** (array,null) (required): The actual data for a paginated request. - **nextPageToken** (string): A token that can be used to obtain the next page of the requested data. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{roomId}/group-links?pageToken=string&limit=100" ``` ``` -------------------------------- ### GET /v2/rooms/{roomId}/attendances Source: https://apis.alfaview.com/v2/docs/openapi.json Lists attendances at a room during a time period. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID. - **from** (string (date-time), query, required): The start time of the time period to consider in the report. - **to** (string (date-time), query, required): The end time of the time period to consider in the report. ### Responses #### 200 - The request was processed successfully. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{roomId}/attendances?from=2023-01-01T00:00:00Z&to=2023-01-01T00:00:00Z" ``` ``` -------------------------------- ### GET /v2/permission-groups Source: https://apis.alfaview.com/v2/docs/openapi.json Lists permission groups. Permission groups are predefined permissions that can be applied to users (e.g., Admin, Guest, etc.). ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). ### Responses #### 200 - The request was processed successfully. #### 400 - The request was not valid. The request was not valid. #### 404 - Permission group or company was not found. Permission group or company was not found. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/permission-groups" ``` ``` -------------------------------- ### POST /v2/rooms/{roomId}/guest-links Source: https://apis.alfaview.com/v2/docs/openapi.json Creates guest links for a room. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID. ### Request Body **Content-Type:** application/json - **create** (array,null) (required): The guest links. - **origin** (string,null): Specifies the creator or reason for the creation of the guest links (e.g., 'my external tool' or 'initial meeting delayed'). - **timezone** (string,null): The time zone to use in the notification emails. Can be 'UTC', 'Local' or a TZ identifier from the IANA time zone database. If empty, the default is 'Europe/Berlin'. ### Responses #### 201 - The requested resource was created. #### 400 - The request was not valid. The request was not valid. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X POST "https://apis.alfaview.com/v2/rooms/{roomId}/guest-links" \ -H "Content-Type: application/json" \ -d '{ "create": "value", "origin": "value", "timezone": "value" }' ``` ``` -------------------------------- ### POST /v2/rooms Source: https://apis.alfaview.com/v2/docs/openapi.json Creates a room. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). ### Request Body **Content-Type:** application/json - **defaultPermissions** (object) - **admin** (boolean) (required): If true, the associated user is an admin. - **chat** (boolean) (required): Permission to chat. - **join** (boolean) (required): Permission to join the room. - **promote** (boolean) (required): Permission to promote permissions for other users. - **screen** (boolean) (required): Permission to share the screen. - **upload** (boolean) (required): Permission to upload files. - **video** (boolean) (required): Permission to stream video input. - **vip** (boolean) (required): Permission to mark users as VIP. - **voice** (boolean) (required): Permission to speak. - **displayName** (string) (required): The name of the room that is displayed in UIs. - **features** (object) - **allowCopyRoomInfo** (string,null): Allows moderators to copy the contents of the participant list to the clipboard. ("enabled"|"disabled"|"default") - **blockWebclient** (string,null): Prevents the button to join via browser from being displayed on the guest join page. ("enabled"|"disabled"|"default") - **centeredVideoGrid** (string,null): Centers participant videos on the stage. ("enabled"|"disabled"|"default") - **disableCameraOff** (string,null): Prevents the camera from being turned off. ("enabled"|"disabled"|"default") - **disableJoinAndLeaveNotifications** (string,null): Disables notifications when users join or leave the room. ("enabled"|"disabled"|"default") - **disableMiniWindow** (string,null): Prevents the displaying of the floating mini window when the alfaview window is minimized. ("enabled"|"disabled"|"default") - **raiseHands** (string,null): Allows participants and spectators to raise their hand to indicate that they want to say something. ("enabled"|"disabled"|"default") - **shareContentOnlyToModerators** (string,null): If enabled, only moderators can see active screen shares. ("enabled"|"disabled"|"default") - **showRaisedHandsOnlyToModerators** (string,null): If enabled, only moderators can see who is currently raising a hand. ("enabled"|"disabled"|"default") - **sixteenByNineVideos** (string,null): Uses 16:9 video aspect ratio for participant videos. ("enabled"|"disabled"|"default") - **sortVideoGridAlphabetically** (string,null): Displays participant videos in alphabetical order. (Overrides the default order-by-join-time behavior.) ("enabled"|"disabled"|"default") - **parentId** (string,null): The parent room ID. - **passcodeRequired** (boolean,null): If true, a passcode is required to enter the room. - **permissions** (array,null): The user permissions. - **quotas** (object) - **activeParticipants** (integer (int32)) (required): The maximum number of active participants. - **maxVideoTilesPerPage** (integer (int32)) (required): The maximum number of video tiles displayed per page. If this value mismatches the defined options in the alfaview client, the next lower value will be chosen. - **spectatorOnlyParticipants** (integer (int32)) (required): The maximum number of spectator-only participants. - **subrooms** (array,null): The contained subrooms. - **type** (string (department|room)) (required): The room type. 'room' is used for normal rooms. Departments are unjoinable rooms that can hold multiple child rooms to help improving room structuring. ("department"|"room") - **waitingRoomEnabled** (boolean) (required): If true, participants enter a waiting room when joining and must be admitted by a moderator. Rooms of the type 'department' cannot have a waiting room. - **waitingRoomWelcomeNote** (string,null): The welcome note that is shown to the participants as they join the waiting room. Rooms of the type 'department' cannot have a waiting room. ### Responses #### 201 - The requested resource was created. **ID** - **id** (string) (required): A unique identifier. #### 400 - The request was not valid. The request was not valid. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X POST "https://apis.alfaview.com/v2/rooms" \ -H "Content-Type: application/json" \ -d '{ "defaultPermissions": "value", "displayName": "string", "features": "value", "parentId": "value", "passcodeRequired": "value", "permissions": "value", "quotas": "value", "subrooms": "value", "type": "department", "waitingRoomEnabled": "true", "waitingRoomWelcomeNote": "value" }' ``` ``` -------------------------------- ### GET /v2/group-links/{id} Source: https://apis.alfaview.com/v2/docs/openapi.json Gets a single group link. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **id** (string, path, required): The group link ID. ### Responses #### 200 - The request was processed successfully. **GroupLink** - **accessKey** (string) (required): The access key. - **createdAt** (string (date-time)) (required): The creation timestamp. - **createdBy** (string) (required): The creator user ID. - **description** (string) (required): A description of the group link. - **dialInAllowed** (boolean) (required): If true, the group link is allowed to be used via dial-in. - **dialInCode** (string) (required): The dial-in authentication code for the group link. - **id** (string) (required): The group link ID. - **joinLink** (string) (required): The link to join the room. - **origin** (string) (required): String that specifies the creator or reason for the creation of the group link (e.g., 'my external tool' or 'initial meeting delayed'). - **permissionGroupId** (string) (required): The permission group ID. - **roomId** (string) (required): The room ID. - **validFrom** (string (date-time)): The group link is valid from this point in time. - **validUntil** (string (date-time)): The group link is valid until this point in time. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 404 - Group was not found. Group was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/group-links/{id}" ``` ``` -------------------------------- ### POST /v2/meetings Source: https://apis.alfaview.com/v2/docs/openapi.json Creates a meeting. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). ### Request Body **Content-Type:** application/json - **agenda** (string,null): The meeting agenda. HTML is not allowed. - **earlyAccessMinutes** (integer,null): The duration of the early access period to the meeting room in minutes. In this period, moderators or administrators can join the meeting. The meeting creator can always join 1 hour before the meeting starts. Regular invitees can never join early. - **end** (string (date-time)) (required): The end time. - **groupLinks** (array,null): The group links for the meeting. If not provided, four default group links (moderator, participant, guest, spectator) will be created. If an empty list is provided, no links will be created. - **guestLinks** (array,null): The guest links for the meeting. - **passcodeRequired** (boolean,null): If true, a passcode is required to enter the meeting room. - **roomFeatures** (object) (required) - **allowCopyRoomInfo** (string (enabled|disabled|default)) (required): Allows moderators to copy the contents of the participant list to the clipboard. ("enabled"|"disabled"|"default") - **blockWebclient** (string (enabled|disabled|default)) (required): Prevents the button to join via browser from being displayed on the guest join page. ("enabled"|"disabled"|"default") - **centeredVideoGrid** (string (enabled|disabled|default)) (required): Centers participant videos on the stage. ("enabled"|"disabled"|"default") - **disableCameraOff** (string (enabled|disabled|default)) (required): Prevents the camera from being turned off. ("enabled"|"disabled"|"default") - **disableJoinAndLeaveNotifications** (string (enabled|disabled|default)) (required): Disables notifications when users join or leave the room. ("enabled"|"disabled"|"default") - **disableMiniWindow** (string (enabled|disabled|default)) (required): Prevents the display of the floating mini window when the alfaview window is minimized. ("enabled"|"disabled"|"default") - **raiseHands** (string (enabled|disabled|default)) (required): Allows participants and spectators to raise their hand to indicate that they want to say something. ("enabled"|"disabled"|"default") - **shareContentOnlyToModerators** (string (enabled|disabled|default)) (required): If enabled, only moderators can see active screen shares. ("enabled"|"disabled"|"default") - **showRaisedHandsOnlyToModerators** (string (enabled|disabled|default)) (required): If enabled, only moderators can see who is currently raising a hand. ("enabled"|"disabled"|"default") - **sixteenByNineVideos** (string (enabled|disabled|default)) (required): Uses 16:9 video aspect ratio for participant videos. ("enabled"|"disabled"|"default") - **sortVideoGridAlphabetically** (string (enabled|disabled|default)) (required): Displays participant videos in alphabetical order. (Overrides the default order-by-join-time behavior.) ("enabled"|"disabled"|"default") - **start** (string (date-time)) (required): The start time. - **subroomDisplayNames** (array,null): The names of the subrooms of the meeting room that are displayed in UIs. - **timezone** (string) (required): The time zone used for time information. - **title** (string) (required): The meeting title. - **waitingRoomEnabled** (boolean) (required): If true, participants will enter the waiting room when joining the room. A moderator can admit waiting participants to join the actual room. - **waitingRoomWelcomeNote** (string,null): The welcome note that is shown to the participants as they join the waiting room. ### Responses #### 201 - The requested resource was created. The returned ID can also be used as a 'roomId' to access the meeting room. **ID** - **id** (string) (required): A unique identifier. #### 400 - The request was not valid. The request was not valid. #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 403 - The requesting user does not have the necessary permissions. The requesting user does not have the necessary permissions. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X POST "https://apis.alfaview.com/v2/meetings" \ -H "Content-Type: application/json" \ -d '{ "agenda": "value", "earlyAccessMinutes": "value", "end": "2023-01-01T00:00:00Z", "groupLinks": "value", "guestLinks": "value", "passcodeRequired": "value", "roomFeatures": "value", "start": "2023-01-01T00:00:00Z", "subroomDisplayNames": "value", "timezone": "string", "title": "string", "waitingRoomEnabled": "true", "waitingRoomWelcomeNote": "value" }' ``` ``` -------------------------------- ### GET /v2/rooms/{roomId}/features Source: https://apis.alfaview.com/v2/docs/openapi.json Gets the room features of a room. ```markdown ### Parameters - **Authorization** (string, header, optional): A valid access token (can be obtained by authenticating). - **roomId** (string, path, required): The room ID. ### Responses #### 200 - The request was processed successfully. **RoomFeatures** - **allowCopyRoomInfo** (string (enabled|disabled|default)) (required): Allows moderators to copy the contents of the participant list to the clipboard. ("enabled"|"disabled"|"default") - **blockWebclient** (string (enabled|disabled|default)) (required): Prevents the button to join via browser from being displayed on the guest join page. ("enabled"|"disabled"|"default") - **centeredVideoGrid** (string (enabled|disabled|default)) (required): Centers participant videos on the stage. ("enabled"|"disabled"|"default") - **disableCameraOff** (string (enabled|disabled|default)) (required): Prevents the camera from being turned off. ("enabled"|"disabled"|"default") - **disableJoinAndLeaveNotifications** (string (enabled|disabled|default)) (required): Disables notifications when users join or leave the room. ("enabled"|"disabled"|"default") - **disableMiniWindow** (string (enabled|disabled|default)) (required): Prevents the display of the floating mini window when the alfaview window is minimized. ("enabled"|"disabled"|"default") - **raiseHands** (string (enabled|disabled|default)) (required): Allows participants and spectators to raise their hand to indicate that they want to say something. ("enabled"|"disabled"|"default") - **shareContentOnlyToModerators** (string (enabled|disabled|default)) (required): If enabled, only moderators can see active screen shares. ("enabled"|"disabled"|"default") - **showRaisedHandsOnlyToModerators** (string (enabled|disabled|default)) (required): If enabled, only moderators can see who is currently raising a hand. ("enabled"|"disabled"|"default") - **sixteenByNineVideos** (string (enabled|disabled|default)) (required): Uses 16:9 video aspect ratio for participant videos. ("enabled"|"disabled"|"default") - **sortVideoGridAlphabetically** (string (enabled|disabled|default)) (required): Displays participant videos in alphabetical order. (Overrides the default order-by-join-time behavior.) ("enabled"|"disabled"|"default") #### 401 - The 'Authorization' header did not contain a valid API token. The 'Authorization' header did not contain a valid API token. #### 404 - Room was not found. Room was not found. #### 422 - An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. An entity in the request cannot be processed. Either a validation (e.g. ID validity) did not succeed or a precondition was not met. ### Example Usage ```bash curl -X GET "https://apis.alfaview.com/v2/rooms/{roomId}/features" ``` ```